# template: default
%global gem_name recursive-open-struct

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: OpenStruct subclass that returns nested hash attributes as RecursiveOpenStructs
License: MIT
URL: https://github.com/aetherknight/recursive-open-struct
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
RecursiveOpenStruct is a subclass of OpenStruct. It differs from
OpenStruct in that it allows nested hashes to be treated in a recursive
fashion.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/AUTHORS.txt
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/recursive-open-struct.gemspec
%{gem_instdir}/spec

%changelog
* Thu Dec 15 2022 Dirk Goetz <dirk.goetz@netways.de> 1.1.3-1
- Update to 1.1.3

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.1.0-2
- Rebuild for Ruby 2.7

* Wed Apr 24 2019 Moti Asayag <masayag@redhat.com> 1.1.0-1
- Add rubygem-recursive-open-struct generated by gem2rpm using the scl template

